{# Form allowing to edit an organization #}

<form method="post" class="clear">
    {% include 'inc/form_row.twig'
        with {required: true, id: 'organization_name', label: __('Organization name', 'civicrm-frontoffice'), value: contact.get('organization_name')} %}
    {% include 'inc/form_row.twig'
        with {id: 'nick_name', label: __('Organization nick name', 'civicrm-frontoffice'), value: contact.get('nick_name')} %}

    {% if tagset %}
        {{ tagset.get('name') }}:
        <div class="tagset">
            {% for tag in tagset.getChildren() %}
                <label>
                    <input type="checkbox"
                    {% if contact.hasTag(tag) %}
                        checked
                    {% endif %}
                    name="tags[{{ tag.get('id') }}]" />
                    {{ tag.get('name') }}
                </label>
            {% endfor %}
        </div>
    {% endif %}

    {% if noteName %}
        <label>
            {{ noteName }}<br/>
            <textarea name="note">{{ note.get('note') }}</textarea>
        </label>
    {% endif %}
    <br />
    {% include 'inc/form_row.twig'
        with {id: 'street_address', label: __('Street address', 'civicrm-frontoffice'), maxlength: 96, value: contact.get('street_address')} %}
    {% include 'inc/form_row.twig'
        with {id: 'supplemental_address_1', maxlength: 96, label: __('Supplemental address', 'civicrm-frontoffice'), value: contact.get('supplemental_address_1')} %}

    <div class="row row--auto">
        {% include 'inc/form_row.twig'
            with {id: 'postal_code', label: __('Postal code', 'civicrm-frontoffice'), value: contact.get('postal_code')} %}
        {% include 'inc/form_row.twig'
            with {id: 'city', label: __('City', 'civicrm-frontoffice'), value: contact.get('city')} %}

        <p>
            <label><span class="placehold_label">{{ __('State', 'civicrm-frontoffice') }}</span>
                <select name="province">
                    <option value=""></option>
                    {% for province in provinces %}
                        <option
                        {% if contact.get('state_province_id') == province.get('id') %}
                            selected
                        {% endif %}
                        value="{{ province.get('id') }}">
                            {{ province.get('abbreviation') }} - {{ province.get('name') }}
                        </option>
                    {% endfor %}
                </select>
            </label>
        </p>
    </div>

    {% include 'inc/form_row.twig'
        with {id: 'phone', label: __('Phone number', 'civicrm-frontoffice'), value: contact.get('phone')} %}
    {% include 'inc/form_row.twig'
        with {id: 'email', label: __('E-mail address', 'civicrm-frontoffice'), value: contact.get('email')} %}

    <br />

    {% for type in websiteTypes %}
        {% include 'inc/form_row.twig' with {'type': 'url', id: 'websites[' ~ type.id ~ ']', label: type.name, value: contact.getWebsite(type).get('url')} %}
    {% endfor %}

    {{ wp_nonce_field('edit_organization') }}

    <input type="submit" value="{{ __('Save', 'civicrm-frontoffice') }}" />
</form>
